/* foXcontrol-desktop
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef FDCDESKTOPCOLOURS_H
#define FDCDESKTOPCOLOURS_H

#include "FDColScmSelector.h"
#include "FDColScmRegistry.h"

class FDCDesktopColours: public FDComponent
{
  FDCDECLARE (FDCDesktopColours)
  private:
    FXComboBox *schemeCombo;
    FXButton *removeButton;
    FDColScmSelector *schemeSelector;

    FDColScmRegistry *registry;
    FDColScmRegistry *desktopRegistry;

  protected:
    FDCDesktopColours () {};

  public:
    FDCDesktopColours (FDCARGS);
    virtual ~FDCDesktopColours ();

    virtual void read ();
    virtual void write ();
    virtual void defaults ();
  
    virtual void about ();
    virtual void help ();

    enum
    {
      ID_SCHEME_COMBO= FDComponent::ID_LAST,
      ID_SCHEME_CREATE,
      ID_SCHEME_REMOVE,
      ID_SCHEME_SELECTOR,
      ID_LAST
    };
    
    long onSchemeCombo    (FXObject*, FXSelector, void*);
    long onSchemeCreate   (FXObject*, FXSelector, void*);
    long onSchemeRemove   (FXObject*, FXSelector, void*);
    long onSchemeSelector (FXObject*, FXSelector, void*);
};

#endif
