/* foXcontrol-desktop
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef FDCOLSCMSELECTOR_H
#define FDCOLSCMSELECTOR_H

#include "FDColorScheme.h"

class FXAPI FDColScmSelector: public FXPacker
{
  FXDECLARE (FDColScmSelector)
  protected:
    FDColScmSelector () {};

  public:
    FDColScmSelector (FXComposite *p, FDColorScheme cs= DEFAULT_CS,
                      FXObject *tgt= NULL, FXSelector sel=0, FXuint opts=0,
                      FXint x=0, FXint y=0, FXint w=0, FXint h=0,
                      FXint pl= DEFAULT_SPACING, FXint pr= DEFAULT_SPACING,
                      FXint pt= DEFAULT_SPACING, FXint pb= DEFAULT_SPACING);

  private:
    FXColorWell *borderWell;
    FXColorWell *baseWell;
    FXColorWell *hiliteWell;
    FXColorWell *shadowWell;
    FXColorWell *backWell;
    FXColorWell *foreWell;
    FXColorWell *selforeWell;
    FXColorWell *selbackWell;
    
  public:
    FDColorScheme getColorScheme ();
    void setColorScheme (FDColorScheme val);
};

#endif
