/* foXcontrol-desktop
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "FDColorScheme.h"

FDColorScheme DEFAULT_CS=
{
  FXRGB (0,0,0),                         // border
  FXRGB (192,192,192),                   // base
  makeHiliteColor (FXRGB (192,192,192)), // hilite
  makeShadowColor (FXRGB (192,192,192)), // shadow
  FXRGB (255,255,255),                   // back
  FXRGB (0,0,0),                         // fore
  FXRGB (255,255,255),                   // selfore
  FXRGB (0,0,128)                        // selback
};

FXchar* fdnamefromcolorscheme (FXchar* csname, FDColorScheme val)
{
  if (!csname) {fxerror ("fdnamefromcolorscheme: NULL csname argument.\n");}

  fxnamefromcolor (csname, val[CBORDER]);
  FXchar buffer[60];
  register FXuint i;
  
  for (i= CBASE; i<= CSELBACK; i++)
  {
    fxnamefromcolor (buffer, val[i]);
    strcat (csname, ":");
    strcat (csname, buffer);
  }
  return csname;
}

FDColorScheme fdcolorschemefromname (const FXchar* csname, FDColorScheme def= DEFAULT_CS)
{
  if (!csname) {fxerror ("fdcolorschemefromname: NULL csname argument.\n");}
  
  FDColorScheme cs= def;
  FXchar buffer[60], *head= (FXchar*) csname;
  register FXuint col, i;
    
  for (col= CBORDER; col<= CSELBACK; col++)
  {
    for (i=0; i<59 && head[i] && head[i]!= ':'; i++) buffer[i]= head[i];
    buffer[i]= 0;
    if (fxcolorfromname (buffer)!= FXRGBA (0,0,0,0)) cs[col]= fxcolorfromname (buffer);
    head+= (++i)* sizeof (FXchar);
  }
  return cs;
}
