/* foXcontrol-desktop
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef FDCOLORSCHEME_H
#define FDCOLORSCHEME_H

#include <foXdesktop/foXdesktop.h>

#define CBORDER  0
#define CBASE    1
#define CHILITE  2
#define CSHADOW  3
#define CBACK    4
#define CFORE    5
#define CSELFORE 6
#define CSELBACK 7

struct FDColorScheme
{
  FXColor color[8];
  FXColor& operator[] (FXuint i) {return color[i];};
};

extern FDColorScheme DEFAULT_CS;

// Get colour scheme "name" from FDColorScheme
// i.e. something like: "Black:#c0c0c0:Gray100:#7e7e7e:Gray100:Black:Gray100:Navy"
extern FXAPI FXchar* fdnamefromcolorscheme (FXchar* csname, FDColorScheme val);

/// Get colour scheme value from colour scheme "name"
extern FXAPI FDColorScheme fdcolorschemefromname (const FXchar* csname, FDColorScheme def= DEFAULT_CS);

#endif
