/* foXcontrol-desktop
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "FDCDesktopIcons.h"

FDCIMPLEMENT (FDCDesktopIcons, FDComponent, NULL, 0);

FDCDesktopIcons::FDCDesktopIcons (FDCARGS): FDComponent ("foXcontrol", "DesktopIcons", FDCPARAMS)
{
  FXGroupBox *groupBox= new FXGroupBox (this, "Iconpath", LAYOUT_CENTER_X|LAYOUT_CENTER_Y| \
                                        GROUPBOX_TITLE_LEFT|FRAME_THICK);
  iconpathField= new FXTextField (new FXPacker (groupBox), 25);

  desktopRegistry= new FXRegistry ("Desktop");
}

FDCDesktopIcons::~FDCDesktopIcons ()
{
  delete desktopRegistry;
}

void FDCDesktopIcons::read ()
{
  desktopRegistry->read ();
  iconpathField->setText (desktopRegistry->readStringEntry ("SETTINGS", "iconpath", fd_default_iconpath));
}

void FDCDesktopIcons::write ()
{
  desktopRegistry->writeStringEntry ("SETTINGS", "iconpath", iconpathField->getText ().text ());
  desktopRegistry->write ();
}

void FDCDesktopIcons::defaults ()
{
  iconpathField->setText (fd_default_iconpath);
}

void FDCDesktopIcons::about ()
{
  ((FDApp*) getApp ())->showAbout (this, "foXcontrol-desktop", VERSION, "Desktop/Icons", "foXicons.xpm",
                                   "(C) 2000-2001 Josua Groeger <fractalus@gmx.net>",
                                   "http://foxdesktop.sourceforge.net");
}

void FDCDesktopIcons::help ()
{
  ((FDApp*) getApp ())->showHelp ("foXcontrol-desktop", "icons.html");
}
