/* foXcontrol-desktop
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "FDCDesktopPrograms.h"

FDCIMPLEMENT (FDCDesktopPrograms, FDComponent, NULL, 0);

FDCDesktopPrograms::FDCDesktopPrograms (FDCARGS): FDComponent ("foXcontrol", "DesktopPrograms", FDCPARAMS)
{
  FXGroupBox *groupBox= new FXGroupBox (this, "Program aliases", LAYOUT_CENTER_X|LAYOUT_CENTER_Y| \
                                        GROUPBOX_TITLE_LEFT|FRAME_THICK);
  FXHorizontalFrame *contentsFrame= new FXHorizontalFrame (groupBox);
  
  FXVerticalFrame *labelFrame= new FXVerticalFrame (contentsFrame, LAYOUT_FILL_Y);
  new FXLabel (labelFrame, "Terminal emulation", ((FDApp*) getApp ())->ico().insert ("mini/foXterminal.xpm")  ,
               ICON_BEFORE_TEXT|LAYOUT_CENTER_Y);
  new FXLabel (labelFrame, "WWW Browser"       , ((FDApp*) getApp ())->ico().insert ("mini/foXbrowser.xpm")   ,
               ICON_BEFORE_TEXT|LAYOUT_CENTER_Y);
  new FXLabel (labelFrame, "Text editor"       , ((FDApp*) getApp ())->ico().insert ("mini/foXtexteditor.xpm"),
               ICON_BEFORE_TEXT|LAYOUT_CENTER_Y);
  
  FXVerticalFrame *fieldFrame= new FXVerticalFrame (contentsFrame, LAYOUT_FILL_Y);
  xtermField   = new FXTextField (fieldFrame, 15, NULL, 0, FRAME_SUNKEN|FRAME_THICK|LAYOUT_CENTER_Y);
  xbrowserField= new FXTextField (fieldFrame, 15, NULL, 0, FRAME_SUNKEN|FRAME_THICK|LAYOUT_CENTER_Y);
  xeditField   = new FXTextField (fieldFrame, 15, NULL, 0, FRAME_SUNKEN|FRAME_THICK|LAYOUT_CENTER_Y);
  
  desktopRegistry= new FXRegistry ("Desktop");
}

FDCDesktopPrograms::~FDCDesktopPrograms ()
{
  delete desktopRegistry;
}

void FDCDesktopPrograms::read ()
{
  desktopRegistry->read ();
  xtermField->setText    (desktopRegistry->readStringEntry ("PROGRAM ALIASES", "xterm"  , fd_default_xterm));
  xbrowserField->setText (desktopRegistry->readStringEntry ("PROGRAM ALIASES","xbrowser",fd_default_xbrowser));
  xeditField->setText    (desktopRegistry->readStringEntry ("PROGRAM ALIASES", "xedit"  , fd_default_xedit));
}

void FDCDesktopPrograms::write ()
{
  desktopRegistry->writeStringEntry ("PROGRAM ALIASES", "xterm"   , xtermField->getText ().text ());
  desktopRegistry->writeStringEntry ("PROGRAM ALIASES", "xbrowser", xbrowserField->getText ().text ());
  desktopRegistry->writeStringEntry ("PROGRAM ALIASES", "xedit"   , xeditField->getText ().text ());
  desktopRegistry->write ();
}

void FDCDesktopPrograms::defaults ()
{
  xtermField->setText    (fd_default_xterm);
  xbrowserField->setText (fd_default_xbrowser);
  xeditField->setText    (fd_default_xedit);
}

void FDCDesktopPrograms::about ()
{
  ((FDApp*) getApp ())->showAbout (this, "foXcontrol-desktop", VERSION, "Desktop/Programs", "foXprogram.xpm",
                                   "(C) 2000-2001 Josua Groeger <fractalus@gmx.net>",
                                   "http://foxdesktop.sourceforge.net");
}

void FDCDesktopPrograms::help ()
{
  ((FDApp*) getApp ())->showHelp ("foXcontrol-desktop", "programs.html");
}
